| Home | Libraries | People | FAQ | More

#### exception

Base exception class for Boost.Geometry algorithms.

###### Description

This class is never thrown. All exceptions thrown in Boost.Geometry are derived from exception, so it might be convenient to catch it.

###### Synopsis

    class exception
          : public std::exception
    {
      // ...
    };

###### Header

`#include <boost/geometry/core/exception.hpp>`